## com.lowagie.text.pdf
Class IntHashtable

    java.lang.Object
      com.lowagie.text.pdf.IntHashtable

All Implemented Interfaces:
  java.lang.Cloneable

    public class IntHashtable

extends java.lang.Object
implements java.lang.Cloneable

Nested Class Summary
`(package private) static class` `IntHashtable.IntHashtableEntry`
`(package private) static class` `IntHashtable.IntHashtableIterator`

Field Summary
`private int` `count`
`private float` `loadFactor`
`private IntHashtable.IntHashtableEntry[]` `table`
`private int` `threshold`

Constructor Summary
`IntHashtable()`
`IntHashtable(int initialCapacity)`
`IntHashtable(int initialCapacity, float loadFactor)`

Method Summary
`void` `clear()`
`java.lang.Object` `clone()`
`boolean` `contains(int value)`
`boolean` `containsKey(int key)`
`int` `get(int key)`
`java.util.Iterator` `getEntryIterator()`
`int[]` `getKeys()`
`int` `getOneKey()`
`boolean` `isEmpty()`
`int` `put(int key, int value)`
`protected void` `rehash()`
`int` `remove(int key)`
`int` `size()`
`int[]` `toOrderedKeys()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    private IntHashtable.IntHashtableEntry[] table

### count

    private int count

### threshold

    private int threshold

### loadFactor

    private float loadFactor

Constructor Detail

### IntHashtable

    public IntHashtable(int initialCapacity,
                        float loadFactor)

### IntHashtable

    public IntHashtable(int initialCapacity)

### IntHashtable

    public IntHashtable()

Method Detail

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### contains

    public boolean contains(int value)

### containsKey

    public boolean containsKey(int key)

### get

    public int get(int key)

### rehash

    protected void rehash()

### put

    public int put(int key,
                   int value)

### remove

    public int remove(int key)

### clear

    public void clear()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toOrderedKeys

    public int[] toOrderedKeys()

### getKeys

    public int[] getKeys()

### getOneKey

    public int getOneKey()

### getEntryIterator

    public java.util.Iterator getEntryIterator()